<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Invax
 */

$invax_search_sidebar = invax_theme_option( 'search-sidebar' );

if( !  isset( $invax_search_sidebar ) ){
		$invax_post_title = esc_html__( 'Blog Details', 'invax' );
		$invax_search_sidebar = "right-sidebar";

	}

	$invax_search_class = "col-md-12";
	if( !isset( $invax_search_sidebar )  && ! is_active_sidebar( 'sidebar-1' )  ){
		$invax_search_class = "col-md-12";
	}

	if( $invax_search_sidebar == "right-sidebar" ){
		$invax_search_class = "col-md-8 blog-page-right";
	}elseif( $invax_search_sidebar == "left-sidebar" ){
			$invax_search_class = "col-md-7 col-md-offset-1";
	}

get_header(); ?>

	<div class="finance-breadcrumb-area blog-breadcrumb-bg">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<h1 class="page-title">
						<?php
						/* translators: %s: search query. */
						printf( esc_html__( 'Search Results for: %s', 'invax' ), '<span>' . get_search_query() . '</span>' );
						?>
					</h1>
					<?php if( function_exists('bcn_display')) bcn_display(); ?>
				</div>
			</div>
		</div>
	</div>

	<div class="finance-internal-area finance-v-composer-disabled">
		<div class="container">
			<div class="row">
				<?php  
					if( $invax_search_sidebar == 'left-sidebar' ):
						get_sidebar(); 
					endif;
				?>
				<div class="<?php echo esc_attr( $invax_search_class ); ?>">
					<?php
						if ( have_posts() ) : ?>
						
							<?php
							/* Start the Loop */
							while ( have_posts() ) : the_post();

								/**
								 * Run the loop for the search to output the results.
								 * If you want to overload this in a child theme then include a file
								 * called content-search.php and that will be used instead.
								 */
								get_template_part( 'template-parts/content', 'search' );

							endwhile;

							the_posts_navigation();

						else :

							get_template_part( 'template-parts/content', 'none' );

						endif; ?>
				</div>
				<?php  
					if( $invax_search_sidebar == 'right-sidebar' ):
						get_sidebar(); 
					endif;
				?>
			</div>
		</div>
	</div>

<?php
get_footer();
